#include <stdio.h>
#include <stdlib.h>
#include "kstream.h"

#define NUM_IDS 3
#define K       4

kstream* s;


// ---------------------------------------------------------------------
// foo
// ---------------------------------------------------------------------
void foo(int num) {
    kstream_start(s);
    kstream_emit(s, 0);
    while (num > 0)
        if (num-- % 2) kstream_emit(s, 1); // odd
        else           kstream_emit(s, 2); // even    
}


// ---------------------------------------------------------------------
// main
// ---------------------------------------------------------------------
int main(int argc, char* argv[]) {
    
    if (argc < 2) {
        fprintf(stderr, "syntax: %s <positive integer>\n", argv[0]);
        exit(EXIT_FAILURE);    
    }

    int num = atoi(argv[1]);

    s = kstream_new("test", NUM_IDS, K);

    foo(num);
    foo(num-1);

    kstream_dump(s, "test.log");
    
    kf_node** kf = kf_new(s);
    kstream_delete(s);

    kf_delete(kf);
    
    return 0;
}    
